/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.Overlay--visible__body {
    overflow-y: hidden;
}

.Overlay {
    transition: transform _duration(transition) ease-in-out;
    transform-origin: 50% 0;

    position: fixed;
    z-index: 100;
    left: 0;
    right: 0;
    margin-top: 0;

    max-height: calc(100vh - 3.5em);
    overflow-y: auto;

    .wrapper:nth-child(1) {
        margin-top: 0;
        &:before {
            display: none;
        }
    }

    .wrapper.alt .inner {
        padding-top: 0;
        padding-bottom: 0;
    }

    background: opacify(_palette(border-bg), 0.25);
}

.Overlay--hidden {
    transform: scale(1, 0);
}

.Overlay__content {
    width: 100%;
}

.StylePreviews {
    margin-bottom: 0.5em;
}
